# Memcached::set

(PECL memcached >= 0.1.0)

Memcached::set — Guardar un ítem

### Descripción

public Memcached::set(string `$key`, mixed `$value`, int `$expiration` = ?): bool

Memcached::set() guarda el valor dado por `value` en un servidor de memcached bajo la clave especificada por `key`. El parámetro `expiration` se puede emplear para controlar cuándo se considera que ha expirado el valor.

El valor puede ser cualquier tipo de PHP válido excepto recursos, ya que estos no se pueden representar de forma serializada. Si la opción `Memcached::OPT_COMPRESSION` está activada, el valor serializado será además comprimido antes de guardarlo.

### Parámetros

`key`

  La clave en la que se guardará el valor.

`value`

  El valor a guardar.

`expiration`

  Tiempo de expiración, que por defecto es 0. Ver Tiempos de expiración para más información.

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error. Emplee Memcached::getResultCode() si fuera necesario.

### Ejemplos

Ejemplo #1 Ejemplo de Memcached::set()

`<?php
$m = new Memcached();
$m->addServer('localhost', 11211);
$m->set('int', 99);
$m->set('string', 'una cadena sencilla');
$m->set('array', array(11, 12));
/* la clave 'object' expirará en 5 minutos */
$m->set('object', new stdclass, time() + 300);
var_dump($m->get('int'));
var_dump($m->get('string'));
var_dump($m->get('array'));
var_dump($m->get('object'));
?>`

El resultado del ejemplo sería algo similar a:

    int(99)
    string(19) "una cadena sencilla"
    array(2) {
      [0]=>
      int(11)
      [1]=>
      int(12)
    }
    object(stdClass)#1 (0) {
    }

### Ver también

- Memcached::setByKey() - Guardar un ítem en un servidor específico
- Memcached::add() - Añade un ítem asociado a una nueva clave
- Memcached::replace() - Reemplaza un ítem asociado a una clave existente